import { FormInputAbstractFieldWidget } from '../../../form';
export declare class DetailStringFieldWidget extends FormInputAbstractFieldWidget {
    initialize(props: any): this;
    protected get currentValue(): string | null | undefined;
    protected get emptyStyle(): any;
}
/**
 * @deprecated please using DetailStringFieldWidget
 */
export declare const DetailStringWidget: typeof DetailStringFieldWidget;
